GET
/v2/providers/openapi/apis/api/v6/vendors/{vendorId}/returnRequests/{receiptId}2609170000Query one return request
# 01
Summary
Query one return request
# 02
Details
Available buyer market: Korean, Taiwan
Query one return request using a return application number.
Path
GET/v2/providers/openapi/apis/api/v6/vendors/{vendorId}/returnRequests/{receiptId}
Example endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v6/vendors/A00012697/returnRequests/363585URL API Name
GET_RETURN_REQUEST_BY_RECEIPT
# 03
Path parameters
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Seller ID
|
| receiptId* | number | Return receipt number (Cancellation number not supported) You can check ReceiptId via return request list query API. ReceiptId must be a number type. |
# 04
Response body
Response message
| Name | Type | Description | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | string | Http request status code Example: 200, 400, 500 | ||||||||||||
| message | string | When succeed or fail, the result message appears.
| ||||||||||||
| data | object[] | |||||||||||||
| receiptId data[].receiptId | integer | Return application number
| ||||||||||||
| orderId data[].orderId | integer | Order number
| ||||||||||||
| paymentId data[].paymentId | integer | Payment number
| ||||||||||||
| receiptType data[].receiptType | string | Cancellation type
| ||||||||||||
| receiptStatus data[].receiptStatus | string | Cancellation(Return) status
| ||||||||||||
| createdAt data[].createdAt | string | Time of cancellation(return) application (Requires ISO-8601 Compliance) YYYY-MM-DDThh:mm:ss.ssssss±hh:mm | ||||||||||||
| modifiedAt data[].modifiedAt | string | Time that cancellation(Return) status changed for the last time (Requires ISO-8601 Compliance) YYYY-MM-DDThh:mm:ss.ssssss±hh:mm | ||||||||||||
| requesterName data[].requesterName | string | Name of the person who requested return
| ||||||||||||
| requesterPhoneNumber data[].requesterPhoneNumber | string | Tel No of the person who requested return
| ||||||||||||
| requesterRealPhoneNumber data[].requesterRealPhoneNumber | string | Actual tel No of the person who requested return null | ||||||||||||
| requesterAddress data[].requesterAddress | string | Collection address
| ||||||||||||
| requesterAddressDetail data[].requesterAddressDetail | string | Detail address of the collection address
| ||||||||||||
| requesterZipCode data[].requesterZipCode | string | Zip code of collection address
| ||||||||||||
| cancelReasonCategory1 data[].cancelReasonCategory1 | string | Return reason category 1
| ||||||||||||
| cancelReasonCategory2 data[].cancelReasonCategory2 | string | Return reason category 2
| ||||||||||||
| cancelReason data[].cancelReason | string | Detailed reason of cancellation
| ||||||||||||
| cancelCountSum data[].cancelCountSum | integer | Total cancellation
| ||||||||||||
| returnDeliveryId data[].returnDeliveryId | integer | Return delivery number
| ||||||||||||
| returnDeliveryType data[].returnDeliveryType | string | Type of return
| ||||||||||||
| releaseStopStatus data[].releaseStopStatus | string | Status of stop shipping
| ||||||||||||
| enclosePrice data[].enclosePrice | object | Enclosed shipping fee
| ||||||||||||
| currencyCodeString data[].enclosePrice.currencyCodeString | string | Three-letter uppercase string (format follows ISO-4217)
| ||||||||||||
| units data[].enclosePrice.units | integer | 64-bit integer representing the integer part of the monetary value
| ||||||||||||
| nanos data[].enclosePrice.nanos | integer | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
| ||||||||||||
| faultByType data[].faultByType | string | Fault type
| ||||||||||||
| preRefund data[].preRefund | boolean | Quick refund
| ||||||||||||
| completeConfirmType data[].completeConfirmType | string | Type of completed checking
| ||||||||||||
| completeConfirmDate data[].completeConfirmDate | string | Time of checking completion yyyy-MM-ddTHH:mm:ss | ||||||||||||
| returnItems data[].returnItems | object[] | List of return items
| ||||||||||||
| vendorItemPackageId data[].returnItems[].vendorItemPackageId | integer | Deal number *do not use | ||||||||||||
| vendorItemPackageName data[].returnItems[].vendorItemPackageName | string | Deal name *do not use | ||||||||||||
| vendorItemId data[].returnItems[].vendorItemId | integer | Option ID *We receive return request by vendorItemId. Option ID must be checked in return application | ||||||||||||
| vendorItemName data[].returnItems[].vendorItemName | string | Option name
| ||||||||||||
| cancelCount data[].returnItems[].cancelCount | integer | Cancellation quantity *Partial return is viable. Please check the cancellation(return) quantity. | ||||||||||||
| purchaseCount data[].returnItems[].purchaseCount | integer | Order quantity
| ||||||||||||
| shipmentBoxId data[].returnItems[].shipmentBoxId | integer | Original waybill number
| ||||||||||||
| sellerProductId data[].returnItems[].sellerProductId | integer | Product number registered by a seller
| ||||||||||||
| sellerProductName data[].returnItems[].sellerProductName | string | Product name registered by a seller
| ||||||||||||
| releaseStatus data[].returnItems[].releaseStatus | string | Status of product shipping
| ||||||||||||
| cancelCompleteUser data[].returnItems[].cancelCompleteUser | string | Owner who handles order cancellation (3P_CANCEL: When an order is cancelled at the stage of 'preparing a product') | ||||||||||||
| returnDeliveryDtos data[].returnDeliveryDtos | object[] | Return waybill info There can be multiple return waybill info by receiptId | ||||||||||||
| deliveryCompanyCode data[].returnDeliveryDtos[].deliveryCompanyCode | string | Return courier code
| ||||||||||||
| deliveryInvoiceNo data[].returnDeliveryDtos[].deliveryInvoiceNo | string | Return waybill number Disregard when return waybill number is "" or null. | ||||||||||||
| reasonCode data[].reasonCode | string | Return reason code Download VOC reason code at the top of return request list page to check it. | ||||||||||||
| reasonCodeText data[].reasonCodeText | string | Description of return reason
| ||||||||||||
| returnShippingCharge data[].returnShippingCharge | object | Estimated return shipping fee
| ||||||||||||
| currencyCodeString data[].returnShippingCharge.currencyCodeString | string | Three-letter uppercase string (format follows ISO-4217)
| ||||||||||||
| units data[].returnShippingCharge.units | integer | 64-bit integer representing the integer part of the monetary value
| ||||||||||||
| nanos data[].returnShippingCharge.nanos | integer | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999]
|
Response Example
{
"code": "200",
"message": "OK",
"data": [
{
"receiptId": 365937,
"orderId": 500004398,
"paymentId": 700003957,
"receiptType": "반품",
"receiptStatus": "RELEASE_STOP_UNCHECKED",
"createdAt": "025-01-15T14:17:13.973885-08:00",
"modifiedAt": "025-01-15T14:17:13.973885-08:00",
"requesterName": "임송이",
"requesterPhoneNumber": "+1(555)444-1234",
"requesterRealPhoneNumber": null,
"requesterAddress": "서울특별시 송파구 송파대로 570 (신천동)",
"requesterAddressDetail": "Tower 730",
"requesterZipCode": "05510",
"cancelReasonCategory1": "고객변심",
"cancelReasonCategory2": "단순변심(사유없음)",
"cancelReason": "테스트",
"cancelCountSum": 1,
"returnDeliveryId": 40453,
"returnDeliveryType": "연동택배",
"releaseStopStatus": "미처리",
"enclosePrice": {
"currencyCode": "KRW",
"units": 0,
"nanos": 0
},
"faultByType": "CUSTOMER",
"preRefund": false,
"completeConfirmDate": "",
"completeConfirmType": "미확인",
"returnItems": [
{
"vendorItemPackageId": 0,
"vendorItemPackageName": "객지/한씨연대기/삼포 가는 길/섬섬옥수/몰개월의 새",
"vendorItemId": 3000001893,
"vendorItemName": "객지/한씨연대기/삼포 가는 길/섬섬옥수/몰개월의 새 1",
"purchaseCount": 1,
"cancelCount": 1,
"shipmentBoxId": 123456789012345680,
"sellerProductId": 130,
"sellerProductName": "객지/한씨연대기/삼포 가는 길/섬섬옥수/몰개월의 새 1",
"releaseStatus": "S",
"cancelCompleteUser": "l******"
}
],
"returnDeliveryDtos": [
{
"deliveryCompanyCode": "DIRECT",
"deliveryInvoiceNo": "201807261200"
},
{
"deliveryCompanyCode": "DIRECT",
"deliveryInvoiceNo": "201807261200"
}
],
"reasonCode": "CHANGEMIND",
"reasonCodeText": "필요 없어짐 (단순 변심)",
"returnShippingCharge": {
"currencyCode": "KRW",
"units": -3000,
"nanos": 0
}
}
]
}# 05
Error codes
| HTTP | Code | Message |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
Error specification
| HTTP | Type | Error message | Solution |
|---|---|---|---|
| 400 | 400 (Check request parameter) | ReceiptId doesn't belong to the vendorId, or cannot find the Receipt by the given id | Check the return application number(receiptId) that you query has been cancelled by a customer. You can query it using API to query application number for return cancellation history. Process not to query cancelled return request number any more. |